<?

define('_IN_JOHNCMS', 1);
$rootpath = '../../';
require_once ($rootpath."incfiles/core.php");
require_once ($rootpath."incfiles/head.php");
echo "<div class='phdr'>Письмо солдата</div>";


function form()
{
	$file = file_get_contents("temp/soldat.tmp");
	$out = intval($file);
	echo '<form method="post" action="soldat.php"><div class="gmenu">
    Ваше имя:<br/><input type="text" name="1" value=""/><br/>
    Как твои дела?:<br/><input type="text" name="2" value=""/><br/>
    Что делают со шлюхами?:<br/><input type="text" name="3" value=""/><br/>
    Кличка животного:<br/><input type="text" name="4" value=""/><br/>
    Любой предмет:<br/><input type="text" name="5" value=""/><br/>
    Мат/ругательство:<br/><input type="text" name="6" value=""/><br/>
    Тяжёлый предмет:<br/><input type="text" name="7" value=""/><br/>
    Любое число:<br/><input type="text" name="8" value=""/><br/>
    Где живут бомжи?:<br/><input type="text" name="9" value=""/></div><div class="bmenu"><input type="submit" name="submit" value="Написать :)"/></div></form><div class="gmenu">Написали: '.$out.' раз(a)</div>';
}


if(isset ($_POST['submit']))
{
	for($i = 1; $i < 10; $i++)
	{
		$text[$i] = functions :: checkout(mb_substr($_POST[$i], 0, 20), 1, 1);
	}
	$file = file_get_contents("temp/soldat.tmp");
	$out = intval($file + 1);
	echo '<div class="gmenu">Здравствуй мама, пишет тебе твой сын '.$text[1].' из армии.<br />
У меня всё '.$text[2].' !!!  У меня тут много друзей,которые меня '.$text[3].' и называют '.$text[4].' .
Недавно мне засунули в зад грязный '.$text[5].' и заставили всё ночь так плясать и петь: "А наш командир '.$text[6].' !!! "
На утро командир-'.$text[6].' всё узнал, достал свой '.$text[7].'  и '.$text[8].'раз ударил меня по голове!!!!!!!
Я дезертировал нафиг.... покачто мой дом - '.$text[9].' так что жди мама... скоро приеду =)</div>';
	//Запись
	$fp_send = fopen("temp/soldat.tmp", "w");
	flock($fp_send, LOCK_EX);
	fputs($fp_send, $out);
	flock($fp_send, LOCK_UN);
	fclose($fp_send);
	chmod("temp/soldat.tmp", 0666);
}
else
{
	echo '<div class="rmenu">Пишите вразумительные ответы, иначе результат не будет иметь смысла и вы зря потратите время.</div>';
	form();
}
echo '<div class="menu"><a href="../?act=send">Еще письма</a><br /><a href="../?">В раздел</a></div>';
require_once ($rootpath."incfiles/end.php");

?>